Bug 608193 - preupgrade and /boot on raid level 1 device
preupgrade and /boot on raid level 1 device
Status: CLOSED DUPLICATE of bug 500004
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-06-25 20:19 EDT by Robin Rainton
Modified: 2014-01-21 18:15 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 504826
Last Closed: 2011-11-11 10:01:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robin Rainton 2010-06-25 20:19:55 EDT
+++ This bug was initially created as a clone of Bug #504826 +++

Preupgrade complains:

Error: /boot is on RAID device md0

On this system, md0 is simply level 1 (mirror) though so the complaint is invalid.

Sure, if the RAID level was 0 or 5 or 6, etc. then fair enough, but in level 1 any of the mirrored partitions can simply be read on it's own without any knowledge of RAID. This is clearly the case, or GRUB would never be able to boot this system in the first place.
Comment 1 Bug Zapper 2010-11-03 08:50:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Mike McGrath 2010-11-03 09:14:02 EDT
This is still an issue, not sure why it's in [NEEDINFO] mode.  I believe the authors are aware of the issue.  Maybe that was an accident.
Comment 3 gregor 2010-11-13 16:53:38 EST
hi i have the same problem on an maschine with f13 that i would to preupgrade to f14.

what infos are needed?
Comment 4 Ray Todd Stevens 2010-11-22 14:43:19 EST
I think this is basically the same bug as 500004
Comment 5 Rob Riggs 2011-04-14 19:32:06 EDT
For me this looks more like Bug 504826

Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 800, in <module>
    widgets = PreUpgradeGtk()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 396, in __init__
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 497, in main_preupgrade
    extra_args += " ks=%s" % self.pu.generate_kickstart()
  File "/usr/lib/python2.6/site-packages/preupgrade/__init__.py", line 601, in generate_kickstart
    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
  File "/usr/lib/python2.6/site-packages/preupgrade/dev.py", line 91, in bootpath_to_anacondapath
    raise PUError, "/boot is on RAID device %s" % bootdev
preupgrade.error.PUError: /boot is on RAID device md0
Comment 6 David Stockwell 2011-04-30 14:59:51 EDT
This does match Bug 504826, has been here a long, long time.  However, as Robin Rainton states above, a RAID-1 disk can be read off either disk partition of the pair.

So, if you cannot fix it in Anaconda, perhaps a bit more guidance would be in order?

I could copy the contents to another directory (/saveboot)...just in case.  I would then unmount and tear down the RAID array, re-mount one partition of the  pair as /boot, and restart preupgrade, but this seems a bit excessive.
Comment 7 Jan "Yenya" Kasprzak 2011-11-04 05:05:32 EDT
I have the same problem upgrading F13 to F15. Since it is not clear why this bug has NEEDINFO at all (see comment #2), I am clearing NEEDINFO. Maintainers, ask for details explicitly if needed.
Comment 8 Wolfgang Denk 2011-11-10 07:07:08 EST
The problem is still present when trying to update from F15 to F16:

# preupgrade-cli "Fedora 16 (Verne)"
Loaded plugins: blacklist, fastestmirror, langpacks, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-16&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-16&arch=x86_64
Loading mirror speeds from cached hostfile
 * fedora: fedora.inode.at
 * updates: ftp.uni-erlangen.de
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/16/Fedora/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/16/Fedora/x86_64/os/
Checking for new repos for mirrors
 * preupgrade-main: fedora.inode.at
preupgrade-adobe-linux-i386 (baseurl) 
  url: http://linuxdownload.adobe.com/linux/i386/
  now: http://linuxdownload.adobe.com/linux/i386/
Checking for new repos for mirrors
preupgrade-fedora (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=fedora-16&arch=x86_64
  now: https://mirrors.fedoraproject.org/metalink?repo=fedora-16&arch=x86_64
Checking for new repos for mirrors
preupgrade-updates (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=x86_64
  now: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=x86_64
Checking for new repos for mirrors
 * preupgrade-fedora: fedora.inode.at
Fetched treeinfo from http://ftp.halifax.rwth-aachen.de/fedora/linux/releases/16/Fedora/x86_64/os//.treeinfo
treeinfo timestamp: Thu Nov  3 04:10:12 2011
MEMORY                                                                                                                                                                                     |  883 B     00:00     
/boot/upgrade/vmlinuz checksum OK
/boot/upgrade/initrd.img checksum OK
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 330, in <module>
  File "/usr/share/preupgrade/preupgrade-cli.py", line 220, in main
    extra_args += " ks=%s" % self.generate_kickstart(extra_cmds=self.kickstart_cmds)
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 607, in generate_kickstart
    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
  File "/usr/lib/python2.7/site-packages/preupgrade/dev.py", line 91, in bootpath_to_anacondapath
    raise PUError, "/boot is on RAID device %s" % bootdev
preupgrade.error.PUError: /boot is on RAID device md0
Comment 9 Will Woods 2011-11-11 10:01:36 EST

*** This bug has been marked as a duplicate of bug 500004 ***

Note You need to log in before you can comment on or make changes to this bug.